[blfs-book] [BLFS Trac] #3808: JSON-C-0.10 doesn't install necesary headers (was: PulseAudio-3.0 won't build with JSON-C-0.10)

BLFS Trac trac at linuxfromscratch.org
Mon Feb 18 03:32:21 PST 2013


#3808: JSON-C-0.10 doesn't install necesary headers
----------------------+-----------------------------------------------------
 Reporter:  wblaszcz  |       Owner:  blfs-book@…                   
     Type:  defect    |      Status:  new                           
 Priority:  normal    |   Milestone:  current                       
Component:  BOOK      |     Version:  SVN                           
 Severity:  normal    |    Keywords:                                
----------------------+-----------------------------------------------------

Comment(by Krejzi):

 Try this workaround from Fedora - it's for JSON-C, not Pulseaudio

 {{{
 sed -e 's/json_object.c/json_object.c json_object_iterator.c/'    \
     -e 's/json_object.h/json_object.h json_object_iterator.h/'    \
     -e 's/json_object.lo/json_object.lo json_object_iterator.lo/' \
     -i Makefile.in
 }}}

 If you have some time, please commit it.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/3808#comment:2>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list